Uploaded image for project: 'ZABBIX FEATURE REQUESTS'
  1. ZABBIX FEATURE REQUESTS
  2. ZBXNEXT-7803

K8S helm chart update (PodSecurityPolicy, etc.)

    XMLWordPrintable

Details

    • Change Request
    • Status: Closed
    • Medium
    • Resolution: Duplicate
    • 6.0.5
    • None
    • Installation (I)
    • None

    Description

      It seems, helm chart should be updated to support new releases of K8S:

      helm upgrade "zabbix-tools-kubernetes" $HOME/kubernetes-helm-20220215/ --dependency-update -f zabbix-tools-kubernetes.helm.values.yaml -n monitoring
      
      W0615 21:19:42.997502    5787 warnings.go:70] policy/v1beta1 PodSecurityPolicy is deprecated in v1.21+, unavailable in v1.25+
      W0615 21:19:43.046732    5787 warnings.go:70] policy/v1beta1 PodSecurityPolicy is deprecated in v1.21+, unavailable in v1.25+
      W0615 21:19:43.106792    5787 warnings.go:70] policy/v1beta1 PodSecurityPolicy is deprecated in v1.21+, unavailable in v1.25+ 

      There are also other caveats of current version of helm chart, see comments of related ticket ZBXNEXT-6933.

      Attachments

        Activity

          People

            dimir dimir
            rico Richard Ostrochovský
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: